
\usepackage[most]{tcolorbox}

\makeatletter
\newcommand{\listofenvironments}{%
  \section*{Examples}
  \@starttoc{env}% Starting to show the environment list (file extension `.env`)
}
\makeatother

\newcounter{bmcscounter}


\newcounter{bmcsexamplectr}
\usepackage{xparse}

\def\exampletext{Example} % If English

\NewDocumentEnvironment{bmcsexample}{ O{} }{
\colorlet{colexam}{red!55!black} % Global example color
\newtcolorbox[use counter=bmcsexamplectr]{bmcsexamplebox}{%
    % Example Frame Start
    empty,% Empty previously set parameters
    title={\exampletext\mbox{} \thechapter.\thetcbcounter: #1},% use \thetcbcounter to access the bmcsexample counter text
    % Attaching a box requires an overlay
    attach boxed title to top left,
       % Ensures proper line breaking in longer titles
       minipage boxed title,
    % (boxed title style requires an overlay)
    boxed title style={empty,size=minimal,toprule=0pt,top=4pt,left=3mm,overlay={}},
    coltitle=colexam,fonttitle=\bfseries,
    before=\par\medskip\noindent,parbox=false,boxsep=0pt,left=3mm,right=0mm,top=2pt,breakable,pad at break=0mm,
       before upper=\csname @totalleftmargin\endcsname0pt, % Use instead of parbox=true. This ensures parskip is inherited by box.
    % Handles box when it exists on one page only
    overlay unbroken={\draw[colexam,line width=.5pt] ([xshift=-0pt]title.north west) -- ([xshift=-0pt]frame.south west); },
    % Handles multipage box: first page
    overlay first={\draw[colexam,line width=.5pt] ([xshift=-0pt]title.north west) -- ([xshift=-0pt]frame.south west); },
    % Handles multipage box: middle page
    overlay middle={\draw[colexam,line width=.5pt] ([xshift=-0pt]frame.north west) -- ([xshift=-0pt]frame.south west); },
    % Handles multipage box: last page
    overlay last={\draw[colexam,line width=.5pt] ([xshift=-0pt]frame.north west) -- ([xshift=-0pt]frame.south west); },%
    }
\begin{bmcsexamplebox}}%
{\end{bmcsexamplebox}\endlist}
\numberwithin{bmcsexamplectr}{chapter}

